Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.auxdata
Class DefaultDataBaseDataLoaderImpl

    java.lang.Object
      com.ejie.r01f.auxdata.DefaultDataBaseDataLoaderImpl

All Implemented Interfaces:
  AuxDataLoader

public class DefaultDataBaseDataLoaderImpl
extends java.lang.Object
implements AuxDataLoader

Implementacion del loader de datos auxiliares desde base de datos Esta clase es llamada dinámicamente por el AuxDataManager para realizar la carga de datos auxiliares de varios tipos Para saber como ejecutar la carga, es necesaria la siguiente configuracion en el fichero de properties de la aplicación com.ejie.r01f.auxdata.DefaultDataBaseDataLoaderImpl [id de la conexion a utilizar configurada en el properties] [la sentencia SQL a ejecutar con variables para el idioma y el dataSet] [Nombre (mayus) de la columna con el codigo de cada registro] [Nombre (mayus) de la columna con el valor de cada registro] En esta configuracion se especifica: - El nombre de la conexion de base de datos a utilizar que a su vez tiene que estar definida en el fichero de properties - La sentencia SQL que obtiene los datos auxiliares Esta sentencia SQL puede tener variables: - $appCode$: Codigo de Aplicacion - $dataSet$: Conjunto de valores - Otros parametros que llegan como propiedades (lang, etc) - Qué columna contiene el codigo y cual el valor

Constructor Summary
`DefaultDataBaseDataLoaderImpl()` Constructor vacio

Method Summary
`java.util.Map` | `load(java.lang.String appCode, java.lang.String dataSetOid, java.util.Properties props)` Realiza la carga de los datos auxiliares

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDataBaseDataLoaderImpl

    public DefaultDataBaseDataLoaderImpl()

  Constructor vacio

Method Detail

### load

    public java.util.Map load(java.lang.String appCode,
                              java.lang.String dataSetOid,
                              java.util.Properties props)
                       throws AuxDataLoaderException

  Description copied from interface: `AuxDataLoader`
  Realiza la carga de los datos auxiliares

  Specified by:
    `load` in interface `AuxDataLoader`
  Parameters:
    `appCode` - Codigo de aplicacion
    `dataSetOid` - Identificador del conjunto de datos auxiliares a cargar
    `props` - Propiedades y parametros particulares para la implementacion del cargador
  Returns:
    un mapa con los elementos (codigo-valor)
  Throws:
    `AuxDataLoaderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD